<?php
define('ROOT','../');
define('GCMS',true);
require_once (ROOT.'system/power.php');
//Бан на форуме
$ban = $db -> query("SELECT * FROM `ban` WHERE `iduser` = '".$ya['id']."' and `serius` = 'forum' LIMIT 1");
if ($ban -> num_rows > 0) {
header('location: '.ROOT.'ban.php?mode=forum');
}
$mode = isset($_GET['mode']) ? trim($_GET['mode']) : false;
switch($mode) {

//Выводим разделы
case 'tema':
$diz -> head('Кто в теме?');
$tem = $db -> query("SELECT * FROM `forum_tems` WHERE `id` = '".$id."'")-> fetch_assoc();
$diz -> title("<a href='./'>Форум</a>/<a href='./tema$id'>$tem[name]</a>/<b>Кто в теме</b>");
$msg.='<div class="fon">';
$for = $db -> query("SELECT `login` FROM `online` WHERE `where` = 'forum' and `idwh`='$id'");
if ($for -> num_rows > 0) {
while ($assoc = $for -> fetch_assoc()) {
$arr = $db -> query("SELECT * FROM `users` WHERE `login` = '".$assoc['login']."'")-> fetch_assoc();
$msg .= '<a href="../my/id'.$arr['id'].'">'.$assoc['login'].'</a>,';
}
} else {
$msg .= 'В данной теме ни кого..';
}
$msg.='</div>';
break;
///Вывод всех,кто на форуме
default:
$diz -> head('Кто на форуме?');
$diz -> title("<a href='./'>Форум</a>/<b>Кто на форуме</b>");
$msg.='<div class="fon">';
$for = $db -> query("SELECT `login` FROM `online` WHERE `where` = 'forum'");
if ($for -> num_rows > 0) {
while ($assoc = $for -> fetch_assoc()) {
$arr = $db -> query("SELECT `login`,`id` FROM `users` WHERE `login` = '".$assoc['login']."'")-> fetch_assoc();
$msg .= '<a href="../my/id'.$arr['id'].'">'.$assoc['login'].'</a>,';
}
} else {
$msg .= 'На форуме ни кого..';
}}
$msg.='</div>';
$msg .= '<div class="levo">'.$diz -> img('home.png').'<a href="/index.php">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
?>